<?

sapp_include_once('common.php');
$nuke_dbname = sapp_get_param('nuke_dbname');
if (empty($nuke_dbname)) {
	$nuke_dbname = sapp_get_new_db_name('mysql');
}
$nuke_dbuser = sapp_get_param('nuke_dbuser');
if (empty($nuke_dbuser)) {
	$nuke_dbuser = sapp_get_new_db_user($nuke_dbname, 'mysql');
}

?>

<fieldset>
	<legend><?=msg('installation_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('install_prefix') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-install_prefix"><?=msg('install_prefix')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="install_prefix" id="fid-install_prefix" value="<?=htmlspecialchars(sapp_get_install_prefix())?>">
		<span class="hint"><?=sapp_is_wrong('install_prefix') ? sapp_get_wrong('install_prefix') : ''?></span>
	</td>
</tr>

<? if (sapp_is_ssl_avaible()): ?>

<tr <?=sapp_is_wrong('ssl') ? 'class="error"' : ''?>>
	<td class="name"><?=msg('ssl')?>&nbsp;<?=REQ?></td>
	<td>
		<SELECT name="ssl">
			<OPTION value="false" <?=sapp_get_param('ssl')!='true' ? 'SELECTED':''?>><?=msg('ssl_off');?></OPTION>
			<OPTION value="true"  <?=sapp_get_param('ssl')=='true' ? 'SELECTED':''?>><?=msg('ssl_on');?></OPTION>
		</SELECT>
		<span class="hint"><?=sapp_is_wrong('ssl') ? sapp_get_wrong('ssl') : ''?></span>
	</td>
</tr>

<? endif; ?>

</table>

</fieldset>

<fieldset>
	<legend><?=msg('database_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('nuke_dbname') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-nuke_dbname"><?=msg('nuke_dbname')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="nuke_dbname" id="fid-nuke_dbname" value="<?=htmlspecialchars($nuke_dbname)?>">
		<span class="hint"><?=sapp_is_wrong('nuke_dbname') ? sapp_get_wrong('nuke_dbname') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('nuke_dbuser') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-nuke_dbuser"><?=msg('nuke_dbuser')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="nuke_dbuser" id="fid-nuke_dbuser" value="<?=htmlspecialchars($nuke_dbuser)?>">
		<span class="hint"><?=sapp_is_wrong('nuke_dbuser') ? sapp_get_wrong('nuke_dbuser') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('nuke_dbpasswd') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-nuke_dbpasswd"><?=msg('nuke_dbpasswd')?>&nbsp;<?=sapp_get_param('nuke_dbpasswd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="nuke_dbpasswd" id="fid-nuke_dbpasswd" value="">
		<span class="hint"><?=sapp_is_wrong('nuke_dbpasswd') ? sapp_get_wrong('nuke_dbpasswd') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('nuke_dbconfirm') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-nuke_dbconfirm"><?=msg('nuke_dbconfirm')?>&nbsp;<?=sapp_get_param('nuke_dbpasswd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="nuke_dbconfirm" id="fid-nuke_dbconfirm" value="">
		<span class="hint"><?=sapp_is_wrong('nuke_dbconfirm') ? sapp_get_wrong('nuke_dbconfirm') : ''?></span>
	</td>
</tr>

</table>

</fieldset>

<fieldset>
	<legend><?=msg('administrator_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('nuke_admin_email') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-nuke_admin_email"><?=msg('nuke_admin_email')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="nuke_admin_email" id="fid-nuke_admin_email" value="<?=htmlspecialchars(sapp_get_param('nuke_admin_email'))?>">
		<span class="hint"><?=sapp_is_wrong('nuke_admin_email') ? sapp_get_wrong('nuke_admin_email') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('nuke_admin_login') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-nuke_admin_login"><?=msg('nuke_admin_login')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="nuke_admin_login" id="fid-nuke_admin_login" value="<?=htmlspecialchars(sapp_get_param('nuke_admin_login'))?>">
		<span class="hint"><?=sapp_is_wrong('nuke_admin_login') ? sapp_get_wrong('nuke_admin_login') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('nuke_admin_passwd') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-nuke_admin_passwd"><?=msg('nuke_admin_passwd')?>&nbsp;<?=sapp_get_param('nuke_admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="nuke_admin_passwd" id="fid-nuke_admin_passwd" value="">
		<span class="hint"><?=sapp_is_wrong('nuke_admin_passwd') ? sapp_get_wrong('nuke_admin_passwd') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('nuke_admin_confirm') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-nuke_admin_confirm"><?=msg('nuke_admin_confirm')?>&nbsp;<?=sapp_get_param('nuke_admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="nuke_admin_confirm" id="fid-nuke_admin_confirm" value="">
		<span class="hint"><?=sapp_is_wrong('nuke_admin_confirm') ? sapp_get_wrong('oscommerce_admin_confirm') : ''?></span>
	</td>
</tr>

</table>

</fieldset>